> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vellaro.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Download File

> Stream the file for a grant, gated by a single-grant signed token.
Enforces ownership (via the token), expiry, revocation and the download
cap; serves bytes from MEDIA_ROOT with a path-traversal guard.



## OpenAPI

````yaml https://api.vellaro.io/openapi.json get /api/v1/downloads/{grant_id}
openapi: 3.1.0
info:
  title: Vellaro API
  description: Vellaro 2026 — E-commerce API
  version: 0.1.0
servers:
  - url: https://api.vellaro.io
    description: Produzione
security: []
tags: []
paths:
  /api/v1/downloads/{grant_id}:
    get:
      tags:
        - downloads
      summary: Download File
      description: |-
        Stream the file for a grant, gated by a single-grant signed token.
        Enforces ownership (via the token), expiry, revocation and the download
        cap; serves bytes from MEDIA_ROOT with a path-traversal guard.
      operationId: download_file_api_v1_downloads__grant_id__get
      parameters:
        - name: grant_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Grant Id
        - name: token
          in: query
          required: true
          schema:
            type: string
            title: Token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````